package com.simuwang.manage.api.distribution;

import com.simuwang.base.common.support.MybatisPage;
import com.simuwang.base.pojo.dto.query.CompanyEmailPageQuery;
import com.simuwang.base.pojo.dto.query.DistributionPageQuery;
import com.simuwang.base.pojo.vo.DistributionTablePageVO;
import com.simuwang.base.pojo.vo.DistributionVO;
import com.simuwang.base.pojo.vo.IdListVO;
import com.simuwang.base.pojo.vo.IdVO;
import com.simuwang.manage.service.DistributionService;
import com.smppw.common.pojo.ResultVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * FileName: DistributionController
 * Author:   chenjianhua
 * Date:     2024/9/15 13:36
 * Description: ${DESCRIPTION}
 */
@RestController
@RequestMapping("/v1/distribution")
public class DistributionController {

    @Autowired
    private DistributionService distributionService;
    /**
     * 分红页面展示查询
     * @param distributionPageQuery
     * @return
     */
    @RequestMapping("search-distribution-list")
    public MybatisPage<DistributionTablePageVO> searchDistributionList(DistributionPageQuery distributionPageQuery){
        MybatisPage<DistributionTablePageVO> result = distributionService.searchDistributionList(distributionPageQuery);
        return result;
    }

    @RequestMapping("save-distribution")
    public ResultVo saveDistribution(@RequestBody DistributionVO distributionVO){
        ResultVo vo = distributionService.saveDistribution(distributionVO);
        return vo;
    }

    @RequestMapping("delete-distribution")
    public boolean deleteDistribution(IdListVO idListVO){
        distributionService.deleteDistribution(idListVO);
        return true;
    }
}
